Bug 74487 - Update www/ImageMagick to 6.1.5-7
Summary: Update www/ImageMagick to 6.1.5-7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: josef
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-28 21:00 UTC by Arjan van Leeuwen
Modified: 2004-12-05 14:04 UTC (History)
0 users

See Also:


Attachments
ImageMagick.diff (8.52 KB, patch)
2004-11-28 21:00 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2004-11-28 21:00:56 UTC

This patch updates www/ImageMagick to version 6.1.5-7, fixing a security vulnerability in the EXIF code (see http://www.vuxml.org/freebsd/eeb1c128-33e7-11d9-a9e7-0001020eed82.html, thanks Simon Nielsen for the heads up).

This version bumps the library version from 6 to 7. A seperate PR will be filed to update all ports that depend on ImageMagick.
Comment 1 Arjan van Leeuwen 2004-11-28 21:07:30 UTC
I meant graphics/ImageMagick of course, d'oh!

Arjan
Comment 2 josef freebsd_committer 2004-12-02 19:45:38 UTC
Hi!

There is already 6.1.5-8 on the mirrors,
so, when applying your patch, the port does not
find any distfile on the mirrors.

greets, josef
-- 
Josef El-Rayes                   (__)
Email:	  josef@daemon.li     \\\'',) 
Web:	  http://daemon.li/     \/  \ ^
FreeBSD   Security Team         .\._/_)
Comment 3 Arjan van Leeuwen 2004-12-02 20:09:39 UTC
Op donderdag 02 december 2004 20:45, schreef Josef El-Rayes:
> Hi!
>
> There is already 6.1.5-8 on the mirrors,
> so, when applying your patch, the port does not
> find any distfile on the mirrors.

Argh! They do that all the time...

Thanks for the headsup. New patch is here:
http://www.piwebs.com/freebsd/ImageMagick.diff

Arjan
Comment 4 josef freebsd_committer 2004-12-02 23:41:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->josef

Ok i am working on this one.
Comment 5 Arjan van Leeuwen 2004-12-03 21:48:32 UTC
Hey Josef,

Op Fri, 3 Dec 2004 07:28:57 +0000 schreef Josef El-Rayes  
<josef@FreeBSD.org>:
> Arjan van Leeuwen <avleeuwen@piwebs.com>:
>> Thanks for the headsup. New patch is here:
>> http://www.piwebs.com/freebsd/ImageMagick.diff
>
> hi! thanks for the quick update!
> have you tested the update on a 4.X machine?
> Florent Thoumie tested it for me and reported
> me a build error - i attach you the log.

I can't reproduce this on a freshly installed 4.10-RELEASE machine, so I  
suppose something is wrong with his jasper installation.

Arjan
Comment 6 Arjan van Leeuwen 2004-12-05 13:00:58 UTC
*Sigh*. Yet another version update. This time to 6.1.6-0.

Here's the new port:

http://www.piwebs.com/freebsd/ImageMagick.diff

Again, I can't find any problems on 4.10 with this. If possible, please commit 
this fast - the amount of mails I get about ImageMagick being FORBIDDEN is 
overwhelming :).

Best regards,

Arjan
Comment 7 josef freebsd_committer 2004-12-05 14:03:38 UTC
State Changed
From-To: open->closed

Committed, thanks.